import { GraphQLResolveInfo } from 'graphql';
import { LibraryOptions, BuilderInstance } from './types';
import { AqlQuery } from 'arangojs/lib/cjs/aql-query';
export declare const createCustomQueryRunner: (options: LibraryOptions) => ({ info, context, parent, query, queryBuilder: providedBuilder, args, }: {
    query?: AqlQuery | undefined;
    queryBuilder?: BuilderInstance | undefined;
    info: GraphQLResolveInfo;
    context: any;
    parent: any;
    args: {
        [name: string]: any;
    };
}) => Promise<any>;
export declare const runCustomQuery: ({ info, context, parent, query, queryBuilder: providedBuilder, args, }: {
    query?: AqlQuery | undefined;
    queryBuilder?: BuilderInstance | undefined;
    info: GraphQLResolveInfo;
    context: any;
    parent: any;
    args: {
        [name: string]: any;
    };
}) => Promise<any>;
